# Auto price/ Manual Fare

Endpoint: POST /air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromunpricedsegments
Version: 11.33.0
Security: bearerAuth

## Path parameters:

  - `ReservationResource_Identifier` (string, required)
    The reservation workbench identifier you wish to add the offer to.
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

## Header parameters:

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.
    Example: "TraceID_123456789"

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated
    Example: "19Y88702-C27A-4E5D-829A-89D7016688B1"

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID
    Example: "DU7_1G"

  - `Accept-Encoding` (string, required)
    Comma-separated list of acceptable encodings like gzip and/or deflate
    Example: "gzip, deflate"

## Request fields (application/json):

  - `@type` (string, required)
    Discriminator OfferQueryBuildFromUnpricedSegments only.
    Example: "OfferQueryBuildFromUnpricedSegments"

  - `BuildFromUnpricedSegments` (array, required)

  - `BuildFromUnpricedSegments.@type` (string, required)
    Discriminator property BuildFromUnpricedSegmentsAutoPrice or BuildFromUnpricedSegmentsManualPrice.
    Example: "BuildFromUnpricedSegments"

  - `BuildFromUnpricedSegments.UnpricedFlightSegmentCriteria` (array, required)

  - `BuildFromUnpricedSegments.UnpricedFlightSegmentCriteria.@type` (string, required)
    Discriminator property UnpricedFlightSegmentCriteria only.
    Example: "UnpricedFlightSegmentCriteria"

  - `BuildFromUnpricedSegments.UnpricedFlightSegmentCriteria.UnpricedFlightSegmentRefs` (array, required)
    Select the unpriced flight segments to build the offer.
    Example: "s1"

  - `BuildFromUnpricedSegments.UnpricedFlightSegmentCriteria.Sequence` (integer)
    Use sequence when assigning preference to a specific leg of the journey or when using manual price. When assigning a sequence only one UnpricedSegmentRef can be entered. Send an array of UnpricedFlightSegmentCriteria when using multiple sequence.
    Example: 1

  - `BuildFromUnpricedSegments.UnpricedFlightSegmentCriteria.TravelerRefs` (array)
    The traveler you wish to create an Offer for. If blank, all travelers will be included in the Offer.
    Example: "traveler_1"

## Response 200 fields (application/json):

  - `OfferListResponse` (object)
    The response of an Offer list endpoint request.

  - `OfferListResponse.OfferID` (array)

  - `OfferListResponse.OfferID.@type` (string, required)
    "Discriminator classes for Air Price are OfferID, Offer, and OfferUpsell. 
Discriminator classes for Reservation and ReservationWorkbench are OfferID, Offer, OfferModify, and OfferUpsell. 
Discriminator classes for Hotel Rules are OfferID and Offer."
    Example: "Offer"

  - `OfferListResponse.OfferID.id` (string)
    Offer identifier sent in the reference payload request to book that offer. Not returned in the full payload response; this is the only difference in the two responses.
    Example: "offer_1"

  - `OfferListResponse.OfferID.offerRef` (string)
    Used to reference another instance of this object in the same message
    Example: "offer_1"

  - `OfferListResponse.OfferID.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `OfferListResponse.OfferID.Identifier.value` (string)
    "Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value. 
Results from Availability and SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request."
    Example: "A0656EFF-FAF4-456F-B061-0161008D7C4E"

  - `OfferListResponse.OfferID.Identifier.authority` (string)
    "Name of the supplier system that created this identifier. 
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either TVPT (Travelport) or BKNG (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book."
    Example: "TVPT"

  - `OfferListResponse.OfferID.ContentSource` (string)
    Indicates the owner the offer or document.
    Enum: "GDS", "NDC", "LCC", "API"

  - `OfferListResponse.@type` (string)
    Example: "response"

  - `OfferListResponse.transactionId` (string)
    "A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting. Also known as E2ETrackingId. Not returned in all Hotel API responses."
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `OfferListResponse.traceId` (string)
    "Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response. For Rules, returned if a custom trace ID was sent in the request header"
    Example: "TraceID_123456"

  - `OfferListResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flow.

  - `OfferListResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `OfferListResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `OfferListResponse.Result.@type` (string)
    Discriminator class Result only
    Example: "Result"

  - `OfferListResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `OfferListResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `OfferListResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: "ErrorDetail"

  - `OfferListResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: "No flights found."

  - `OfferListResponse.Result.Error.NameValuePair` (array)

  - `OfferListResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: "Sunday"

  - `OfferListResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: "6"

  - `OfferListResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the of type of remark or error.
    Example: "Day1"

  - `OfferListResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `OfferListResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `OfferListResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: "WarningDetail"

  - `OfferListResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: "Customer Loyalty could not be applied."

  - `OfferListResponse.Result.Warning.NameValuePair` (array)

  - `OfferListResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `OfferListResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `OfferListResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.

  - `OfferListResponse.NextSteps.baseURI` (string, required)
    The base portion of the uri in order to shorten the uris in the individual steps

  - `OfferListResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: "5"

  - `OfferListResponse.NextSteps.NextStep` (array, required)

  - `OfferListResponse.NextSteps.NextStep.value` (string)
    Example: "www.resourcelocation.com"

  - `OfferListResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: "2"

  - `OfferListResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: "cancel"

  - `OfferListResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `OfferListResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: "remove offer from the order"

  - `OfferListResponse.ReferenceList` (array)

  - `OfferListResponse.ReferenceList.@type` (string, required)
    Discriminator. Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute. Air Price child classes are ReferenceListAmenity and ReferenceListBrand. FareRules child class is ReferenceListFlight. Search Ancillaries child class is ReferenceListFlight. Seat Map child class is ReferenceListSeatingChart. Hotel Availability child class is ReferenceListPropertyDates. Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute. Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice. Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler. Book_Traveler child class is ReferenceListTraveler.
    Example: "ReferenceListFlight"

  - `OfferListResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `OfferListResponse.CurrencyRateConversion` (array)

  - `OfferListResponse.CurrencyRateConversion.@type` (string)

  - `OfferListResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `OfferListResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: "USD"

  - `OfferListResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: "ISO 4217"

  - `OfferListResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `OfferListResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: "ISO 4217"

  - `OfferListResponse.CurrencyRateConversion.TargetCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `OfferListResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `OfferListResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `OfferListResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: "ISO 4217"

  - `OfferListResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: "2026-08-07 12:12:00+00:00"

  - `OfferListResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `OfferListResponse.Pagination.@type` (string, required)
    Example: "Pagination"

  - `OfferListResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `OfferListResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `OfferListResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `OfferListResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: "response"

  - `ErrorResponse.transactionId` (string)
    "A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting. Also known as E2ETrackingId. Not returned in all Hotel API responses."
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `ErrorResponse.traceId` (string)
    "Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response. For Rules, returned if a custom trace ID was sent in the request header"
    Example: "TraceID_123456"

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flow.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.


